Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040Component2

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040Component2Impl

    public interface POCDMT000040Component2

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Component2'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Structured Body`
- `Non XML Body`
- `Context Conduction Ind`
- `Null Flavor`
- `Type Code`

See Also:
  `CDAR2Package.getPOCDMT000040Component2()`

Method Summary
`POCDMT000040NonXMLBody` | `getNonXMLBody()` Returns the value of the 'Non XML Body' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`POCDMT000040StructuredBody` | `getStructuredBody()` Returns the value of the 'Structured Body' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`ActRelationshipHasComponent` | `getTypeCode()` Returns the value of the 'Type Code' attribute.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isContextConductionInd()` Returns the value of the 'Context Conduction Ind' attribute.
`boolean` | `isSetContextConductionInd()` Returns whether the value of the '`Context Conduction Ind`' attribute is set.
`boolean` | `isSetTypeCode()` Returns whether the value of the '`Type Code`' attribute is set.
`void` | `setContextConductionInd(boolean value)` Sets the value of the '`Context Conduction Ind`' attribute.
`void` | `setNonXMLBody(POCDMT000040NonXMLBody value)` Sets the value of the '`Non XML Body`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setStructuredBody(POCDMT000040StructuredBody value)` Sets the value of the '`Structured Body`' containment reference.
`void` | `setTypeCode(ActRelationshipHasComponent value)` Sets the value of the '`Type Code`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetContextConductionInd()` Unsets the value of the '`Context Conduction Ind`' attribute.
`void` | `unsetTypeCode()` Unsets the value of the '`Type Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Component2_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Component2_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Component2_TemplateId()`

### getNonXMLBody

    POCDMT000040NonXMLBody getNonXMLBody()

  Returns the value of the 'Non XML Body' containment reference.

  If the meaning of the 'Non XML Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Non XML Body' containment reference.
  See Also:
    `setNonXMLBody(POCDMT000040NonXMLBody)`, `CDAR2Package.getPOCDMT000040Component2_NonXMLBody()`

### setNonXMLBody

    void setNonXMLBody(POCDMT000040NonXMLBody value)

  Sets the value of the '`Non XML Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Non XML Body' containment reference.
  See Also:
    `getNonXMLBody()`

### getStructuredBody

    POCDMT000040StructuredBody getStructuredBody()

  Returns the value of the 'Structured Body' containment reference.

  If the meaning of the 'Structured Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Structured Body' containment reference.
  See Also:
    `setStructuredBody(POCDMT000040StructuredBody)`, `CDAR2Package.getPOCDMT000040Component2_StructuredBody()`

### setStructuredBody

    void setStructuredBody(POCDMT000040StructuredBody value)

  Sets the value of the '`Structured Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Structured Body' containment reference.
  See Also:
    `getStructuredBody()`

### isContextConductionInd

    boolean isContextConductionInd()

  Returns the value of the 'Context Conduction Ind' attribute. The default value is `"true"`.

  If the meaning of the 'Context Conduction Ind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context Conduction Ind' attribute.
  See Also:
    `isSetContextConductionInd()`, `unsetContextConductionInd()`, `setContextConductionInd(boolean)`, `CDAR2Package.getPOCDMT000040Component2_ContextConductionInd()`

### setContextConductionInd

    void setContextConductionInd(boolean value)

  Sets the value of the '`Context Conduction Ind`' attribute.

  Parameters:
    `value` - the new value of the 'Context Conduction Ind' attribute.
  See Also:
    `isSetContextConductionInd()`, `unsetContextConductionInd()`, `isContextConductionInd()`

### unsetContextConductionInd

    void unsetContextConductionInd()

  Unsets the value of the '`Context Conduction Ind`' attribute.

  See Also:
    `isSetContextConductionInd()`, `isContextConductionInd()`, `setContextConductionInd(boolean)`

### isSetContextConductionInd

    boolean isSetContextConductionInd()

  Returns whether the value of the '`Context Conduction Ind`' attribute is set.

  Returns:
    whether the value of the 'Context Conduction Ind' attribute is set.
  See Also:
    `unsetContextConductionInd()`, `isContextConductionInd()`, `setContextConductionInd(boolean)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Component2_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

### getTypeCode

    ActRelationshipHasComponent getTypeCode()

  Returns the value of the 'Type Code' attribute. The default value is `"COMP"`. The literals are from the enumeration `ActRelationshipHasComponent`.

  If the meaning of the 'Type Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `ActRelationshipHasComponent`, `isSetTypeCode()`, `unsetTypeCode()`, `setTypeCode(ActRelationshipHasComponent)`, `CDAR2Package.getPOCDMT000040Component2_TypeCode()`

### setTypeCode

    void setTypeCode(ActRelationshipHasComponent value)

  Sets the value of the '`Type Code`' attribute.

  Parameters:
    `value` - the new value of the 'Type Code' attribute.
  See Also:
    `ActRelationshipHasComponent`, `isSetTypeCode()`, `unsetTypeCode()`, `getTypeCode()`

### unsetTypeCode

    void unsetTypeCode()

  Unsets the value of the '`Type Code`' attribute.

  See Also:
    `isSetTypeCode()`, `getTypeCode()`, `setTypeCode(ActRelationshipHasComponent)`

### isSetTypeCode

    boolean isSetTypeCode()

  Returns whether the value of the '`Type Code`' attribute is set.

  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `unsetTypeCode()`, `getTypeCode()`, `setTypeCode(ActRelationshipHasComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD